<div *ngIf="country">
  <div *ngFor="let entity of government">
    <nz-divider *ngIf="entity.members.length > 0" [nzText]="'Politics.Elections.' + entity.type | translate"></nz-divider>
    <ng-template #title>
      {{ 'Politics.Elections.' + entity.type }} <i *ngIf="canManage === true && country.governmentType === 2" nz-icon nzType="edit"
        nzTheme="outline" (click)="editGov()"></i>
    </ng-template>
    <div nz-row nzJustify="space-around" nzGutter="12">
      <div nz-col nzXs="24" nzSm="24" [nzLg]="entity.colSpan" *ngFor="let member of entity.members"
        style="text-align: center; margin-bottom: 12px;">
        <nz-card nzSize="small" nzTitle="{{ 'Politics.Elections.' + member.role | translate }}">
          <div>
            <nz-avatar [nzShape]="'square'" [nzSize]="42" [nzIcon]="'user'" [nzSrc]="member.citizen?.avatar">
            </nz-avatar>
          </div>
          <a *ngIf="member.citizen" [routerLink]="['/citizen', member.citizen?.id]">
            {{ member.citizen?.name }}
          </a>
          <div *ngIf="!member.citizen" style="height: 41px">{{ "Politics.NotAppointed" | translate }}</div>
          <div></div>
          <h4 *ngIf="member.party">
            <a [routerLink]="['/party', member.party?.id]">
              {{ member.party?.name }}
            </a>
          </h4>
        </nz-card>
      </div>
    </div>
  </div>



  <nz-divider></nz-divider>
  <div nz-row nzJustify="space-around" nzGutter="12">
    <div nz-col nzXs="24" nzSm="24" nzLg="12" style="margin-bottom: 12px;">
      <nz-card nzTitle="{{ 'Politics.governmentType' | translate }}" nzSize="small" [nzExtra]="govTypeCivilWar">
        <h2 style="text-align: center">
          <span *ngIf="country?.governmentType === 1">{{ "Politics.Dictatorship" | translate }}</span>
          <span *ngIf="country?.governmentType === 2">{{ "Politics.Democracy" | translate }}</span>
        </h2>
        <ng-template #govTypeCivilWar>
          <button nz-button nzShape="round" nzType="primary" nzSize="small"
            style="width: 100%; background-color: rgb(247, 55, 55); border-color: rgb(247, 55, 55);" nz-popconfirm
            *ngIf="canStartCivilWar.status === true" nzPopconfirmTitle="{{ 'Politics.rysAboutThis' | translate }}"
            (nzOnConfirm)="startCivilWar()">
            {{ "Politics.StartCivilWar" | translate }}
          </button>
        </ng-template>
      </nz-card>
    </div>
    <div nz-col nzSpan="12" *ngIf="country?.governmentType === 2">
      <app-upcoming-elections-component></app-upcoming-elections-component>
    </div>
  </div>

  <div *ngIf="country && country.governmentType === 2">
    <nz-divider></nz-divider>
    <h3>{{ "Politics.Parties" | translate }}</h3>
    <app-party-list [countryId]="country.id" [showActions]="false"></app-party-list>
    <nz-divider></nz-divider>
    <h3 style="margin-top: 10px">
      {{ "Politics.SeparationOfPower" | translate }}
    </h3>
    <div nz-row nzJustify="space-between" nzGutter="12">
      <div nz-col nzSpan="11">
        <h4>{{ "Politics.ByWings" | translate }}</h4>
        <div id="chart1" style="width: 100%; height: 300px"></div>
      </div>
      <div nz-col nzSpan="11">
        <h4>{{ "Politics.ByParty" | translate }}</h4>
        <div id="chart2" style="width: 100%; height: 300px"></div>
      </div>
    </div>
  </div>
</div>